Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 19 Nov 2022 09:26:47 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi. I’m sending a message regarding order # 9590303283
I have called 5 times and even chatted with your agent regarding this issue and I was assured that the matter will be solved and I would be refunded my full amount. 
I have returned all 16 items in this order. The pick up courier man has checked each item . Ticked the box on his app. Taken a picture of the two bags I have recieved the parcel in. And taken all the items with him.
I have paid 1346.51 for this order. But I have only recieved 889.5 on my card and for some weird reson I  have recieved some non refundable voucher of 33.03. There is clearly some major system error. Or my suspicion is that one of the bags has been misplaced and because of which you are not giving me my money. However none of this is my problem. As I have returned each and every product and it has been checked during pick up. I have checked with the delivery man aswell and he has assured me that he has given everything to you guys. It’s been a month since I’m complaining about this issue and yet it hasn’t been resolved: either you give me the products back or you give me my money back. It is not a small amount. I am extremely angry and disappointed with this. I need this resolved at the earliest https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5268546